#ifndef __sockrpc_HXX
#include "sockrpc.hxx"
#endif

#ifndef __class_clnt_HXX
#define __class_clnt_HXX

class proxy_MonObjServ : public SvcClient {

  public :
  proxy_MonObjServ(int family=AF_INET) : proxy_SvcClient("MonObjServ", family) {};
  proxy_MonObjServ(char* n, int f) : proxy_SvcClient(n,f) {}
  int publish(char* serv, char* filtre, int port, int nbinst)
  {
    int numproc = 0 ;
    int result ;
    (*(SvcSocket*)this) << numproc << serv << filtre << port << nbinst << svcflush ;
    (*(SvcSocket*)this) >> result;
    return result ;
  } ;
  char* subscript(char* serv, char* filtre, int& port)
  {
    int numproc = 1 ;
    char* result ;
    (*(SvcSocket*)this) << numproc << serv << filtre << svcflush ;
    (*(SvcSocket*)this) >> result >> port;
    return result ;
  } ;
  void bench(OID oid, Page& page)
  {
    int numproc = 2 ;
    (*(SvcSocket*)this) << numproc << oid << svcflush ;
    (*(SvcSocket*)this) >> page;
  } ;
} ; 



#endif
